Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.exceptions
Class ExceptionFormatter

    java.lang.Object
      com.ejie.r01f.exceptions.ExceptionFormatter

public final class ExceptionFormatter
extends java.lang.Object

Utilidades auxiliares para el formateo de excepciones

Constructor Summary
`ExceptionFormatter()`

Method Summary
`static java.lang.String` | `getHTML(java.lang.Exception ex)` Obtiene un html para la exception
`static java.lang.String` | `getHTML(java.lang.Exception ex, java.lang.String inMsg)` Obtiene un html para la exception
`static java.lang.String` | `getLongMsg(java.lang.Exception ex)` Obtiene un texto largo para la exception
`static java.lang.String` | `getLongMsg(java.lang.Exception ex, java.lang.String inMsg)` Obtiene un texto largo para la exception
`static java.lang.String` | `getShortMsg(java.lang.Exception ex)` Obtiene un texto corto para la exception
`static java.lang.String` | `getShortMsg(java.lang.Exception ex, java.lang.String inMsg)` Obtiene un texto corto para la exception
`static java.lang.String` | `getXML(java.lang.Exception ex)` Obtiene un xml para la exception
`static java.lang.String` | `getXML(java.lang.Exception ex, java.lang.String inMsg)` Obtiene un xml para la exception

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionFormatter

    public ExceptionFormatter()

Method Detail

### getShortMsg

    public static java.lang.String getShortMsg(java.lang.Exception ex)

  Obtiene un texto corto para la exception

### getShortMsg

    public static java.lang.String getShortMsg(java.lang.Exception ex,
                                               java.lang.String inMsg)

  Obtiene un texto corto para la exception

### getLongMsg

    public static java.lang.String getLongMsg(java.lang.Exception ex)

  Obtiene un texto largo para la exception

### getLongMsg

    public static java.lang.String getLongMsg(java.lang.Exception ex,
                                              java.lang.String inMsg)

  Obtiene un texto largo para la exception

### getXML

    public static java.lang.String getXML(java.lang.Exception ex)

  Obtiene un xml para la exception

### getXML

    public static java.lang.String getXML(java.lang.Exception ex,
                                          java.lang.String inMsg)

  Obtiene un xml para la exception

### getHTML

    public static java.lang.String getHTML(java.lang.Exception ex)

  Obtiene un html para la exception

### getHTML

    public static java.lang.String getHTML(java.lang.Exception ex,
                                           java.lang.String inMsg)

  Obtiene un html para la exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD